package com.huimv.devicedata.modular.controller;


import com.huimv.devicedata.modular.serivice.DeviceDataService;
import com.huimv.devicedata.response.ResponseData;
import com.huimv.devicedata.response.SuccessResponseData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author yinhao
 * @description 设备数据展示controller
 */
@RestController
@RequestMapping(value = "/deviceData")
public class DeviceDataController {

//    public static Logger logger = LoggerFactory.getLogger(DeviceDataController.class);

    @Autowired
    private DeviceDataService deviceDataService;


    /**
     * 设备数据变化
     * @param pageNum 当前页
     * @param pageSize 每页条数
     * @param keyword 搜索关键字
     * @return
     */
    @RequestMapping(value = "/change", method = {RequestMethod.POST, RequestMethod.GET})
    public ResponseData pageChange(@RequestParam(value = "pageNum") Integer pageNum,
                                     @RequestParam(value = "pageSize") Integer pageSize,
                                     @RequestParam(value = "keyword", required = false) String keyword) {
        return new SuccessResponseData(deviceDataService.pageChange(pageNum, pageSize, keyword));
    }

    /**
     * 设备命令响应
     * @param pageNum 当前页
     * @param pageSize 每页条数
     * @param keyword 搜索关键字
     * @return
     */
    @RequestMapping(value = "/response", method = {RequestMethod.POST, RequestMethod.GET})
    public ResponseData pageResponse(@RequestParam(value = "pageNum") Integer pageNum,
                                   @RequestParam(value = "pageSize") Integer pageSize,
                                   @RequestParam(value = "keyword", required = false) String keyword) {
        return new SuccessResponseData(deviceDataService.pageResponse(pageNum, pageSize, keyword));
    }

    /**
     * 设备事件上报
     * @param pageNum 当前页
     * @param pageSize 每页条数
     * @param keyword 搜索关键字
     * @return
     */
    @RequestMapping(value = "/incidentReport", method = {RequestMethod.POST, RequestMethod.GET})
    public ResponseData pageIncidentReport(@RequestParam(value = "pageNum") Integer pageNum,
                                     @RequestParam(value = "pageSize") Integer pageSize,
                                     @RequestParam(value = "keyword", required = false) String keyword) {
        return new SuccessResponseData(deviceDataService.pageIncidentReport(pageNum, pageSize, keyword));
    }

    /**
     * 设备上下线
     * @param pageNum 当前页
     * @param pageSize 每页条数
     * @param keyword 搜索关键字
     * @return
     */
    @RequestMapping(value = "/upAndDown", method = {RequestMethod.POST, RequestMethod.GET})
    public ResponseData pageUpAndDown(@RequestParam(value = "pageNum") Integer pageNum,
                                           @RequestParam(value = "pageSize") Integer pageSize,
                                           @RequestParam(value = "keyword", required = false) String keyword) {
        return new SuccessResponseData(deviceDataService.pageUpAndDown(pageNum, pageSize, keyword));
    }
}
