package com.huimv.devicedata.modular.repo;

import com.huimv.devicedata.modular.entity.DeviceResponseEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;
import java.util.Map;

/**
 * @Author yinhao
 * @Date 2021/3/31 18:18
 * @Description
 */
public interface DeviceResponseEntityRepository extends JpaRepository<DeviceResponseEntity, Integer>, JpaSpecificationExecutor<DeviceResponseEntity> {

    /**
     * 设备命令响应分页条件查询
     * @param start
     * @param pageSize
     * @param keyword
     * @return
     */
    @Query(nativeQuery = true, value = "SELECT\n" +
            "id,tenan_id,product_id,message_type,device_Id,task_id,result_code,result_detail_length,result_detail_rsa_data\n" +
            "FROM device_response WHERE tenan_id LIKE %?3% OR product_id LIKE %?3% LIMIT ?1,?2")
    List<DeviceResponseEntity> getDeviceResponseListByPage(Integer start, Integer pageSize, String keyword);
}
