package com.huimv.devicedata.modular.repo;

import com.huimv.devicedata.modular.entity.DeviceUpAndDownEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @author yinhao
 * @description 设备上下线
 */
public interface DeviceUpAndDownRepository extends JpaRepository<DeviceUpAndDownEntity, Integer>, JpaSpecificationExecutor<DeviceUpAndDownEntity> {

    /**
     * 设备上下线分页条件查询
     * @param start
     * @param pageSize
     * @param keyword
     * @return
     */
    @Query(nativeQuery = true,value = "select * from device_up_and_down where tenant_id like %?3% limit ?1,?2")
    List<DeviceUpAndDownEntity> getDeviceUpAndDownListByPage(Integer start, Integer pageSize, String keyword);
}