package com.huimv.devicedata.modular.serivice.impl;

import com.huimv.devicedata.modular.entity.DeviceIncidentReportEntity;
import com.huimv.devicedata.modular.entity.DeviceResponseEntity;
import com.huimv.devicedata.modular.entity.DeviceUpAndDownEntity;
import com.huimv.devicedata.modular.entity.DeviceUpdataEntity;
import com.huimv.devicedata.modular.repo.DeviceIncidentReportRepository;
import com.huimv.devicedata.modular.repo.DeviceResponseEntityRepository;
import com.huimv.devicedata.modular.repo.DeviceUpAndDownRepository;
import com.huimv.devicedata.modular.repo.DeviceUpdataEntityRepository;
import com.huimv.devicedata.modular.serivice.DeviceDataService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Author yinhao
 * @Date 2021/4/6 14:08
 * @Description
 */
@Service
public class DeviceDataServiceImpl implements DeviceDataService {


    @Resource
    private DeviceUpdataEntityRepository deviceUpdataEntityRepository;

    @Resource
    private DeviceResponseEntityRepository deviceResponseEntityRepository;

    @Resource
    private DeviceIncidentReportRepository deviceIncidentReportRepository;

    @Resource
    private DeviceUpAndDownRepository deviceUpAndDownRepository;

    @Override
    public Map<String, Object> pageChange(Integer pageNum, Integer pageSize, String keyword) {
        Map<String, Object> map = new HashMap<>(16);
        if (keyword == null) {
            keyword = "";
        }
        Long totalSize = deviceUpdataEntityRepository.count();
        map.put("totalSize", totalSize);
        map.put("totalPageNum", (totalSize + pageSize - 1) / pageSize);
        Integer start = (pageNum - 1) * pageSize;
        List<DeviceUpdataEntity> machineControlInfoList = deviceUpdataEntityRepository.getDeviceUpdataListByPage(start, pageSize, keyword);
        map.put("data", machineControlInfoList);
        return map;
    }


    @Override
    public Map<String, Object> pageResponse(Integer pageNum, Integer pageSize, String keyword) {
        Map<String, Object> map = new HashMap<>(16);
        if (keyword == null) {
            keyword = "";
        }
        Long totalSize = deviceResponseEntityRepository.count();
        map.put("totalSize", totalSize);
        map.put("totalPageNum", (totalSize + pageSize - 1) / pageSize);
        Integer start = (pageNum - 1) * pageSize;
        List<DeviceResponseEntity> machineControlInfoList = deviceResponseEntityRepository.getDeviceResponseListByPage(start, pageSize, keyword);
        map.put("data", machineControlInfoList);
        return map;
    }

    @Override
    public Map<String, Object> pageIncidentReport(Integer pageNum, Integer pageSize, String keyword) {
        Map<String, Object> map = new HashMap<>(16);
        if (keyword == null) {
            keyword = "";
        }
        Long totalSize = deviceIncidentReportRepository.count();
        map.put("totalSize", totalSize);
        map.put("totalPageNum", (totalSize + pageSize - 1) / pageSize);
        Integer start = (pageNum - 1) * pageSize;
        List<DeviceIncidentReportEntity> machineControlInfoList = deviceIncidentReportRepository.getDeviceIncidentReportListByPage(start, pageSize, keyword);
        map.put("data", machineControlInfoList);
        return map;
    }

    @Override
    public Map<String, Object> pageUpAndDown(Integer pageNum, Integer pageSize, String keyword) {
        Map<String, Object> map = new HashMap<>(16);
        if (keyword == null) {
            keyword = "";
        }
        Long totalSize = deviceUpAndDownRepository.count();
        map.put("totalSize", totalSize);
        map.put("totalPageNum", (totalSize + pageSize - 1) / pageSize);
        Integer start = (pageNum - 1) * pageSize;
        List<DeviceUpAndDownEntity> machineControlInfoList = deviceUpAndDownRepository.getDeviceUpAndDownListByPage(start, pageSize, keyword);
        map.put("data", machineControlInfoList);
        return map;
    }
}
