package com.huimv.devicedata.entity;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "device_up_data")
public class DeviceUpdataEntity implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id", nullable = false)
    private Integer id;
    @Column(name = "product_id")
    private String productId;

    @Column(name = "device_id")
    private String deviceId;

    @Column(name = "timestamp")
    private String timestamp;

    @Column(name = "service_id")
    private String serviceId;

    @Column(name = "protocol")
    private String protocol;

    @Column(name = "imsi")
    private String imsi;

    @Column(name = "imei")
    private String imei;

    @Column(name = "device_type")
    private String deviceType;

    @Column(name = "message_type")
    private String messageType;

    @Column(name = "data_ver")
    private Integer dataVer;

    @Column(name = "data_time")
    private Integer dataTime;

    @Column(name = "data_temp")
    private Integer dataTemp;

    @Column(name = "data_stc")
    private Integer dataStc;

    @Column(name = "data_rssi")
    private Integer dataRssi;

    @Column(name = "data_humi")
    private Integer dataHumi;

    @Column(name = "data_bat")
    private Integer dataBat;

    @Column(name = "tenant_id")
    private String tenantId;

    @Column(name = "data_temp_convert")
    private double dataTempConvert;

    @Column(name = "data_humi_convert")
    private double dataHumiConvert;

    @Column(name = "data_bat_convert")
    private double dataBatConvert;

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProductId() {
        return productId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setTimestamp(String timestamp) {
        this.timestamp = timestamp;
    }

    public String getTimestamp() {
        return timestamp;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    public String getServiceId() {
        return serviceId;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setImsi(String imsi) {
        this.imsi = imsi;
    }

    public String getImsi() {
        return imsi;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public String getImei() {
        return imei;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setMessageType(String messageType) {
        this.messageType = messageType;
    }

    public String getMessageType() {
        return messageType;
    }

    public void setDataVer(Integer dataVer) {
        this.dataVer = dataVer;
    }

    public Integer getDataVer() {
        return dataVer;
    }

    public void setDataTime(Integer dataTime) {
        this.dataTime = dataTime;
    }

    public Integer getDataTime() {
        return dataTime;
    }

    public void setDataTemp(Integer dataTemp) {
        this.dataTemp = dataTemp;
    }

    public Integer getDataTemp() {
        return dataTemp;
    }

    public void setDataStc(Integer dataStc) {
        this.dataStc = dataStc;
    }

    public Integer getDataStc() {
        return dataStc;
    }

    public void setDataRssi(Integer dataRssi) {
        this.dataRssi = dataRssi;
    }

    public Integer getDataRssi() {
        return dataRssi;
    }

    public void setDataHumi(Integer dataHumi) {
        this.dataHumi = dataHumi;
    }

    public Integer getDataHumi() {
        return dataHumi;
    }

    public void setDataBat(Integer dataBat) {
        this.dataBat = dataBat;
    }

    public Integer getDataBat() {
        return dataBat;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public double getDataTempConvert() {
        return dataTempConvert;
    }

    public void setDataTempConvert(double dataTempConvert) {
        this.dataTempConvert = dataTempConvert;
    }

    public double getDataHumiConvert() {
        return dataHumiConvert;
    }

    public void setDataHumiConvert(double dataHumiConvert) {
        this.dataHumiConvert = dataHumiConvert;
    }

    public double getDataBatConvert() {
        return dataBatConvert;
    }

    public void setDataBatConvert(double dataBatConvert) {
        this.dataBatConvert = dataBatConvert;
    }

    @Override
    public String toString() {
        return "DeviceUpdataEntity{" +
                "id=" + id +
                ", productId='" + productId + '\'' +
                ", deviceId='" + deviceId + '\'' +
                ", timestamp='" + timestamp + '\'' +
                ", serviceId='" + serviceId + '\'' +
                ", protocol='" + protocol + '\'' +
                ", imsi='" + imsi + '\'' +
                ", imei='" + imei + '\'' +
                ", deviceType='" + deviceType + '\'' +
                ", messageType='" + messageType + '\'' +
                ", dataVer=" + dataVer +
                ", dataTime=" + dataTime +
                ", dataTemp=" + dataTemp +
                ", dataStc=" + dataStc +
                ", dataRssi=" + dataRssi +
                ", dataHumi=" + dataHumi +
                ", dataBat=" + dataBat +
                ", tenantId='" + tenantId + '\'' +
                ", dataTempConvert=" + dataTempConvert +
                ", dataHumiConvert=" + dataHumiConvert +
                ", dataBatConvert=" + dataBatConvert +
                '}';
    }
}
