package com.huimv.devicedata.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.huimv.devicedata.entity.DeviceIncidentReport;
import com.huimv.devicedata.repo.DeviceIncidentReportRepository;
import com.huimv.devicedata.service.IDeviceIncidentReportService;
import com.huimv.devicedata.utils.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;



@Service
public class IDeviceIncidentReportServiceImpl implements IDeviceIncidentReportService {

        @Autowired
        DeviceIncidentReportRepository  deviceIncidentReportRepository ;

        @Autowired
        private DateUtil dateUtil;

        @Override
        public void saveDeviceIncidentReport(JSONObject deviceUpDataJo) {

            String productId = deviceUpDataJo.getString("productId");
            String deviceId = deviceUpDataJo.getString("deviceId");
            long timestamp = deviceUpDataJo.getLong("timestamp");
            String eventType = deviceUpDataJo.getString("eventType");
            String upDataDate = dateUtil.formatLongDate(timestamp);
            String serviceId = deviceUpDataJo.getString("serviceId");
            String imsi = deviceUpDataJo.getString("imsi");
            String imei = deviceUpDataJo.getString("imei");
            String deviceSn = deviceUpDataJo.getString("deviceSn");
            String messageType = deviceUpDataJo.getString("messageType");

            String protocol = deviceUpDataJo.getString("protocol");
            String tenantId = deviceUpDataJo.getString("tenantId");

            JSONObject businessDataJo = deviceUpDataJo.getJSONObject("eventContent");  //再次解析嵌套

            //eventContent":{"m":44}
            int m = businessDataJo.getInteger("m");
            DeviceIncidentReport deviceIncidentReport= new DeviceIncidentReport();
            deviceIncidentReport.setProductId(productId); //*
            deviceIncidentReport.setDeviceId(deviceId);//*
            deviceIncidentReport.setTimestamp(upDataDate);
            deviceIncidentReport.setServiceId( Integer.parseInt(serviceId));//*
            deviceIncidentReport.setEventType( Integer.parseInt(eventType));//*
            deviceIncidentReport.setImei(imei);//*
            deviceIncidentReport.setImsi(imsi);//*
            deviceIncidentReport.setDeviceSn(deviceSn);//*
            deviceIncidentReport.setMessageType(messageType);//*
            deviceIncidentReport.setTenantId(tenantId);//*
            deviceIncidentReport.setProtocol(protocol);//*
            deviceIncidentReport.setEventContent(Integer.toString(m));

            deviceIncidentReportRepository.saveAndFlush(deviceIncidentReport);
        }
    }

