package com.huimv.devicedata.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.huimv.devicedata.entity.DeviceIncidentReport;
import com.huimv.devicedata.entity.DeviceUpAndDown;
import com.huimv.devicedata.repo.DeviceIncidentReportRepository;
import com.huimv.devicedata.repo.DeviceUpAndDownRepository;
import com.huimv.devicedata.service.IDeviceUpAndDownService;
import com.huimv.devicedata.utils.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class IDeviceUpAndDownServiceImpl implements IDeviceUpAndDownService {

    @Autowired
    DeviceUpAndDownRepository  deviceUpAndDownRepository ;

    @Autowired
    private DateUtil dateUtil;


    @Override
    public void DeviceUpAndDown(JSONObject deviceUpDataJo) {


        String productId = deviceUpDataJo.getString("productId");//
        String deviceId = deviceUpDataJo.getString("deviceId");//
        long timestamp = deviceUpDataJo.getLong("timestamp");//
        String eventType = deviceUpDataJo.getString("eventType");//
        String upDataDate = dateUtil.formatLongDate(timestamp);
        String messageType = deviceUpDataJo.getString("messageType");//
        String tenantId = deviceUpDataJo.getString("tenantId");//

        DeviceUpAndDown  deviceUpAndDown= new DeviceUpAndDown();
        deviceUpAndDown.setProductId(productId); //*
        deviceUpAndDown.setDeviceId(deviceId);//*
        deviceUpAndDown.setTimestamp(upDataDate);
        deviceUpAndDown.setEventType( Integer.parseInt(eventType));//*
        deviceUpAndDown.setMessageType(messageType);//*
        deviceUpAndDown.setTenantId(tenantId);//*
        deviceUpAndDownRepository.save(deviceUpAndDown);
    }
}
